/************************/
/* TAGLINE SECTION */
/************************/
.section-tagline {
  padding: 9rem 0 9.6rem 0;
}

.tagline {
  max-width: 130rem;
  margin: 0 auto;
  display: grid;
  grid-template-columns: 1fr;
  gap: 9.6rem;
  align-items: center;
  text-align: center;
}

.horizontal-line {
  margin: 4rem auto;
  width: 30rem;
}

.shop-search-form-content {
  width: 130rem;
  display: flex;
}

.shop-search-form-control {
  margin: 0 auto;
  display: flex;
  gap: 1rem;
  position: relative;
}

.shop-search-form-control .search-icon {
  position: absolute;
  font-size: 3rem;
  top: 0.8rem;
  left: 0.8rem;
}

.shop-search-form-control .shop-search {
  width: 32rem;
  padding: 1.2rem;
  text-indent: 3rem;
}

.shop-search-form-control .btn {
  width: 12rem;
}

/************************/
/* FEATURED CATEGORY SECTION */
/************************/

.section-featured-category {
  padding: 8rem 0 9.6rem 0;
}

.featured-category {
  max-width: 130rem;
  margin: 0 auto;
  text-align: center;
}

.gallery-content {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 10rem;
}

.gallery-card {
  max-width: 25rem;
  max-height: 25rem;
  margin: 0 auto;
}
.gallery-card img {
  max-width: 25rem;
}
.gallery-card .card-name {
  font-size: 2rem;
  margin-top: 2rem;
}

.featured-category-btn {
  width: 25rem;
  height: 25rem;
  line-height: 25rem;
  font-size: 3rem;
}

/************************/
/* NEWSLETTER SECTION */
/************************/

.section-shop-newsletter {
  padding: 6rem 0 9.6rem 0;
}

.shop-newsletter {
  max-width: 130rem;
  margin: 0 auto;
  display: grid;
  grid-template-columns: 1fr 2fr;
  align-items: center;
}

.newsletter-photo img {
  height: 26rem;
}

.newsletter-form-control {
  display: flex;
  gap: 1rem;
}

.newsletter-subscribe input[type="email"] {
  padding: 2rem;
  width: 50rem;
}

.newsletter-subscribe button {
  padding: 2rem;
  width: 18.6rem;
}

/************************/
/* MORE PRODUCT SECTION */
/************************/

.section-shop-more-product {
  padding: 6rem 0 9.6rem 0;
}

.shop-more-product {
  max-width: 130rem;
  margin: 0 auto;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}

.shop-more-product-column {
  max-width: 36rem;
}

.shop-more-product-column img {
  max-width: 14rem;
}

.shop-more-product-brief {
  font-size: 3rem;
}

.shop-more-product-detail {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  margin: 1rem 0 0.5rem;
  font-size: 1.6rem;
}
.shop-more-product-detail a {
  margin: 0 auto;
}

.shop-more-product-title-price {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  justify-content: center;
}

.shop-more-product-btn {
  margin-top: 6rem;
}

.more-product-title {
  font-size: 2rem;
}
.more-product-price {
  font-size: 2rem;
}

.more-product-review-stars {
  font-size: 2rem;
  text-align: right;
}

/************************/
/* MORE PRODUCT SECTION */
/************************/

.section-about-shop {
  padding: 6rem 0 9.6rem 0;
}

.about-shop {
  max-width: 130rem;
  margin: 0 auto;
  display: grid;
  grid-template-columns: 1fr;
  gap: 4rem;
  text-align: center;
}

.about-shop-brief {
  font-size: 2rem;
  padding: 0 20rem;
}

/* 1rem = 1em = 16px */

/************************/
/* BELOW 1400px (Reduce Some Sizes, Above 1200px) */
/************************/

@media (max-width: 87.5em) {
  .shop-search-form-control .search-icon {
    top: 0.85rem;
  }
  .newsletter-subscribe input[type="email"] {
    width: 48rem;
  }
  .newsletter-subscribe button {
    padding: 2rem;
    width: 30rem;
  }
}

/************************/
/* BELOW 1200px (Large devices, Above 992px) */
/************************/

@media (max-width: 75em) {
  .tagline,
  .shop-search-form-content,
  .featured-category,
  .shop-newsletter,
  .shop-more-product {
    max-width: 120rem;
  }
  .shop-search-form-control .search-icon {
    top: 0.9rem;
  }
  .gallery-content {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 4rem;
  }
  .gallery-card {
    max-width: 22rem;
    max-height: 22rem;
  }
  .gallery-card img {
    max-width: 22rem;
  }
  .featured-category-btn {
    width: 22rem;
    height: 22rem;
    line-height: 22rem;
  }

  .newsletter-photo img {
    height: 20rem;
  }
  .newsletter-subscribe input[type="email"] {
    width: 38rem;
  }
  .newsletter-subscribe button {
    padding: 2rem;
    width: 18rem;
  }

  .shop-more-product-column {
    max-width: 33.33rem;
  }
  .shop-more-product-column img {
    max-width: 15rem;
  }
}

/************************/
/* BELOW 992px (Medium devices, Above 768px) */
/************************/

@media (max-width: 62em) {
  .tagline,
  .shop-search-form-content,
  .featured-category,
  .shop-newsletter,
  .shop-more-product {
    width: 100rem;
  }
  .shop-search-form-control button {
    height: 5.1rem;
  }
  .shop-search-form-control .search-icon {
    top: 1.1rem;
  }
  .gallery-content {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 2rem;
  }
  .gallery-card {
    max-width: 17rem;
    max-height: 17rem;
  }
  .gallery-card img {
    max-width: 17rem;
  }
  .featured-category-btn {
    width: 17rem;
    height: 17rem;
    line-height: 17rem;
  }

  .newsletter-photo img {
    height: 15rem;
  }
  .newsletter-subscribe input[type="email"] {
    width: 28rem;
  }
  .newsletter-subscribe button {
    padding: 2rem;
    width: 14rem;
    height: 6.8rem;
  }

  .shop-more-product-intro h3 {
    font-size: 4rem;
  }
  .shop-more-product-brief {
    font-size: 2.4rem;
  }
  .shop-more-product-btn {
    margin-top: 3.6rem;
  }
  .shop-more-product-column {
    max-width: 33.33rem;
  }
  .shop-more-product-column img {
    max-width: 10rem;
  }
}

/************************/
/* BELOW 768px (Medium devices, Above 576px) */
/************************/

@media (max-width: 48em) {
  .tagline,
  .shop-search-form-content,
  .featured-category,
  .shop-newsletter,
  .shop-more-product {
    width: 80rem;
  }
  .shop-search-form-control button {
    height: 5.6rem;
  }
  .shop-search-form-control .search-icon {
    top: 1.2rem;
  }
  .newsletter-subscribe button {
    height: 7.2rem;
  }
  .shop-more-product-brief {
    font-size: 2rem;
  }
}

/************************/
/* BELOW 576px (Small devices, Above 280px) */
/************************/

@media (max-width: 36em) {
  .tagline,
  .shop-search-form-content,
  .featured-category,
  .shop-newsletter,
  .shop-more-product {
    width: 50rem;
  }

  .shop-search-form-control button {
    height: 6.2rem;
  }
  .shop-search-form-control .search-icon {
    top: 1.6rem;
  }

  .gallery-content {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 6rem;
  }
  .gallery-card {
    max-width: 17rem;
    max-height: 17rem;
  }
  .gallery-card img {
    max-width: 17rem;
  }
  .featured-category-btn {
    width: 17rem;
    height: 17rem;
    line-height: 17rem;
  }

  .section-shop-newsletter {
    text-align: center;
  }
  .shop-newsletter {
    grid-template-columns: repeat(1, 1fr);
    width: 40rem;
  }
  .newsletter-photo img {
    height: 28rem;
  }
  #newsletter-form h3 {
    margin-top: 2.6rem;
  }
  .newsletter-form-control {
    margin: 0 auto;
  }

  .newsletter-subscribe button {
    height: 7.8rem;
  }

  .shop-more-product {
    grid-template-columns: repeat(1, 1fr);
    gap: 6rem;
  }
  .shop-more-product-intro h3 {
    font-size: 4rem;
  }
  .shop-more-product-brief {
    font-size: 2rem;
  }
  .shop-more-product-column {
    margin: 0 auto;
  }
  .shop-more-product-detail {
    grid-template-columns: repeat(1, 1fr);
    gap: 2rem;
  }
  .shop-more-product-column img {
    max-width: 30rem;
  }
  .shop-more-product-title-price {
    font-size: 3rem;
  }
  .more-product-price {
    font-size: 3rem;
  }
}
